axiethernet: Data Structures

| axiethernet Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

XAvb | The XAvb driver instance data
XAvb_BmcData | This typedef defines the format for a data structure which stores the relevant fields which are captured from Announce Packets
XAvb_ClockIdentity | This typedef defines the format for a data structure which stores the Clock Identity information from received Announce packets
XAvb_ClockQuality | This typedef defines the quality of a clock
XAvb_Config | This typedef contains configuration information for a device
XAvb_Counters | This typedef defines the various counters which have to maintained for the PTP operation
XAvb_MDSyncReceive | This struct captures information from RX'd Sync/FollowUp message pairs in a format similar to the MDSyncReceive structure described in the IEEE P802.1AS specification
XAvb_PortIdentity | This typedef defines the format for a data structure which stores the Port Identity information from received Announce packets
XAvb_PtpStruct | This typedef defines the format for a data structure which stores information relating to the 1588 based PTP timing calculations
XAvb_RtcFormat | This typedef defines the format for the Real Time Clock (RTC)
XAvb_SequenceIdStruct | This typedef defines the format for a data structure which stores the last used sequence ID for all of the PTP timing frames
XAvb_SignallingFrameData | The Signalling frame defines the delays to be used between Sync Frames, Link Delay measurements and Announce Frame events
XAvb_StateMachineData | Keep track of state machine data to make sure we're fully compliant with the spec
XAvb_Uint64 | This typedef describes a 64-bit un-signed integer in terms of 2 u32s
XAxiEthernet | Struct XAxiEthernet is the type for Axi Ethernet driver instance data
XAxiEthernet_Config | This typedef contains configuration information for a Axi Ethernet device